Debian GNU/Linux PyDNS 配置错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1185263 漏洞类型 配置错误
发布时间 2008-09-18 更新时间 2008-09-18
CVE编号 CVE-2008-4126 CNNVD-ID CNNVD-200809-257
漏洞平台 N/A CVSS评分 6.4
|漏洞来源
https://www.securityfocus.com/bid/84834
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200809-257
|漏洞详情
DebianGNU/Linux的PyDNS(又称python-dns)之前版本2.3.1-5不使用对应DNS请求的随机源端口也不使用对应DNS重新尝试的随机处理IDs,这会使远程攻击者骗取DNS响应变得简单,该漏洞不同于CVE-2008-1447。
|受影响的产品
Debian Python-Dns 2.3.1-4 Debian Python-Dns 2.3.1-3 Debian Python-Dns 2.3.1-2 Debian Python-Dns 2.3.1-1 Debian Python-Dns 2.3.0-6 Debian Python-Dns 2.3.0-5.1
|参考资料

来源:MLIST
名称:[oss-security]20080915Re:CVERequest(ruby--DNSspoofingvulnerabilityinresolv.rb)
链接:http://www.openwall.com/lists/oss-security/2008/09/16/4
来源:MLIST
名称:[oss-security]20080911Re:CVERequest(ruby--DNSspoofingvulnerabilityinresolv.rb)
链接:http://www.openwall.com/lists/oss-security/2008/09/11/1
来源:packages.debian.org
链接:http://packages.debian.org/changelogs/pool/main/p/python-dns/python-dns_2.3.3-1/changelog
来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490217